Bug 599043 - [abrt] notification-daemon-0.4.1-0.20090923.4.el6: raise: Process /usr/libexec/notification-daemon was killed by signal 6 (SIGABRT)
[abrt] notification-daemon-0.4.1-0.20090923.4.el6: raise: Process /usr/libexe...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: notification-daemon (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
abrt_hash:7eb4b4402326d7819280ff7e7c7...
: Rebase
: 599193 603656 (view as bug list)
Depends On: 609244
Blocks: 662543
  Show dependency treegraph
 
Reported: 2010-06-02 11:10 EDT by Chris Ward
Modified: 2016-06-13 03:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: notification-daemon-0_5_0-1_el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 03:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.77 KB, text/plain)
2010-06-02 11:10 EDT, Chris Ward
no flags Details
backtrace (17.58 KB, application/octet-stream)
2010-10-11 12:30 EDT, Radek Lat
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 622552 None None None Never

  None (edit)
Description Chris Ward 2010-06-02 11:10:49 EDT
abrt version: 1.1.4
architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/notification-daemon
component: notification-daemon
crash_function: raise
executable: /usr/libexec/notification-daemon
global_uuid: 7eb4b4402326d7819280ff7e7c73c8c897f4d444
kernel: 2.6.32-31.el6.x86_64
package: notification-daemon-0.4.1-0.20090923.4.el6
rating: 4
reason: Process /usr/libexec/notification-daemon was killed by signal 6 (SIGABRT)
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)

How to reproduce
-----
1. honestly, i have no idea.
2.
3.
Comment 1 Chris Ward 2010-06-02 11:10:51 EDT
Created attachment 419065 [details]
File: backtrace
Comment 3 Matthias Clasen 2010-06-03 12:07:17 EDT
Line 214 in stack.c is 

        gdk_screen_get_monitor_geometry (stack->screen, stack->monitor, &monitor);

Looks like we need to protect against stack->monitor being >= gdk_screen_get_n_monitors(stack->screen) here.
Comment 4 Matthias Clasen 2010-06-03 12:08:27 EDT
As far as reproducing this problem, I would assume the following might work:

1. move gnome-panel to external monitor
2. unplug external monitor
3. use notify-send to pop up several bubbles
Comment 5 Chris Ward 2010-06-04 04:48:43 EDT
Do you need me to do additional testing or provide you with any additional information at this time? Just let me know.
Comment 6 RHEL Product and Program Management 2010-06-07 12:07:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 jmccann 2010-06-07 13:17:02 EDT
*** Bug 599193 has been marked as a duplicate of this bug. ***
Comment 8 Christopher Aillon 2010-06-20 00:06:49 EDT
*** Bug 603656 has been marked as a duplicate of this bug. ***
Comment 12 Radek Lat 2010-10-11 12:30:55 EDT
Created attachment 452757 [details]
backtrace

Package:    	notification-daemon-0.5.0-1.el6
Latest Crash:	Mon 11 Oct 2010 06:16:50 PM 
Command:    	/usr/libexec/notification-daemon
Reason:     	Process /usr/libexec/notification-daemon was killed by signal 11 (SIGSEGV)

Segfault when running reproducer from comment 4 (no additional info on output).
Comment 15 Suzanne Yeghiayan 2011-01-06 17:19:57 EST
This request was evaluated by Red Hat Product Management for 
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated 
in the current release, Red Hat is unfortunately unable to  
address this request at this time.  This request has been 
proposed for the next release of Red Hat Enterprise Linux.
If you would like it considered as an exception in the 
current release, please ask your support representative.
Comment 16 RHEL Product and Program Management 2011-07-05 19:46:01 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 17 Chris Ward 2016-06-13 03:44:37 EDT
Stale bug clean up; reopen if anyone else actually supports this.

Note You need to log in before you can comment on or make changes to this bug.